Sobre ECMAScript


([N4] Jorge) #1

Estamos evaluando la funcionalidad de ECMAScript y nos surgen algunas dudas:

¿Qué versión de ECMAScript implementa?
Creemos que es la 4, ECMA-262... ¿lo podría confirmar alguien?

¿Tiene soporte para ECMAScript for XML (E4X)?
Creemos que no, nuestras pruebas eso dicen...

¿Para cuándo implementará la quinta edition (Diciembre 2009)?
Es lógico que no tenga actualmente soporte, Qt4.3 no lo soporta y la aprobación se ha producido en Diciembre, pero aún sabiendo todo esto nos hacemos la siguiente pregunta: ¿La nueva revisión de Febrero tendrá soporte para la quinta edición.?

 


([N4] Jorge) #2

¿¿?


([N1] Velasco) #3

Buenas Jorge,

Creo que esto deberás preguntárselo a soporte.

Un saludo.

 

 

 

Jorge Velasco Fernández

jvelasco@theseedsc.com

www.theseedsc.com


([N4] jcobos) #4

ECMA-262


([N4] Jorge) #5

Muchas gracias Juan por la respuesta. Estaba un poco desesperado, nadie comentaba al respecto...

Entiendo por lo tanto que no tiene soporte para el estándar ECMA-357. Creo que sería muy interesante, ya que abriría muchas posibilidades.

 

Atentamente,
Jorge Hontoria Jiménez

 

CharSet.zip (531 KB)

CharSet.zip (531 KB)

CharSet.zip (531 KB)


([N4] jcobos) #6

Dependemos de Qt


([N4] Jorge) #7

Entiendo... muchas gracias por todo.

Seguro que Nokia mejora las Qt en futuras versiones. Según he leído en la 4.6 el engine ha sido cambiado por el de WebKit, esto implicará seguramente que pronto soporte más estándares.